Opened 11 years ago

Closed 11 years ago

#716 closed enhancement (fixed)

Displaying area-captions size dependent

Reported by: fröstel Owned by: Knut Arne Bjørndal
Priority: minor Milestone: Wishlist
Component: osmarender Version:
Keywords: Cc:

Description

The names of larger areas (like lakes, forrests, etc.) should appear at smaller zoom levels.

Instead of calculating the size of a polygon the distance between the most furthest points in EW and NS-direction should suffice. This needs to be recalculated because of lat-dependent longitudes. Also these width and height values are added to one value being a fair assumption of the felt area size independent of its shape.

cirfer = T + (N * [1.05 - ([t - 5] / 90)])

T Latitude difference N Longitude difference t absolute Latitude The formula interpolates a cosine function with +10% error at the poles/equator and -10% error in the north Italy.

The captions should be displayed at these zoomlevels when their cirfer-value is larger than this: z12 0.128 z13 0.064 z14 0.032 z15 0.016 z16 0.008

Change History (4)

comment:1 Changed 11 years ago by fröstel

Owner: changed from Jochen Topf to bob@…

comment:2 Changed 11 years ago by fröstel

Owner: changed from bob@… to Knut Arne Bjørndal

comment:3 Changed 11 years ago by Knut Arne Bjørndal

Status: newassigned

I'm currently working on some refactoring of the filters in the rule engine, and will do this at the same time.

comment:4 Changed 11 years ago by bobkare

Resolution: fixed
Status: assignedclosed

(In [9574]) Fairly big osmarender change doing some refactoring on the rule parsing and falling back to simple BBOX center for areas with more than 150 nodes. Adds size-dependent rendering of names for large natural features (fixes #716) and suppresses labels for highway areas with same name as connected features (fixes #642).

r8442@pastry: bob | 2008-06-24 21:48:19 +0200 Creating a branch for my osmarender <rule> refactoring. r8443@pastry: bob | 2008-06-24 22:10:21 +0200 Committing old <rule> refactoring code r17179@pastry: bob | 2008-08-03 21:59:35 +0200 Merge back from muffin now that pastry is online again r17180@pastry: bob | 2008-08-03 23:21:16 +0200 Merged from trunk r17181@pastry: bob | 2008-08-05 17:57:55 +0200 Reintroducing some areaCenter changes I thought didn't have anything to do with this patch but it turns out the minSize stuff broke areaCenter because it used node-set on an RTF, which meant the nodes came from another document or something, which in turn meant key() no longer worked on the whole osm document r17182@pastry: bob | 2008-08-05 19:13:57 +0200 Fixed wrong placement of minSize rule in z12, and did some work on styling all the minSize captions r17183@pastry: bob | 2008-08-05 20:35:24 +0200 Cleaned up the rules for notConnectedSameTag on highway areas and junctions r17588@pastry: bob | 2008-08-08 17:27:38 +0200 Implemented fallback to areaBBOXCenter for polygons with more than 150 nodes

Note: See TracTickets for help on using tickets.